OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 14.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - w -

- Warning() : GSLog
- WAYPOINT_ANY : GSWaypoint
- WAYPOINT_BUOY : GSWaypoint
- WAYPOINT_RAIL : GSWaypoint
- WaypointType : GSWaypoint
- WC_AIRCRAFT_LIST : GSWindow
- WC_BOOTSTRAP : GSWindow
- WC_BUILD_BRIDGE : GSWindow
- WC_BUILD_DEPOT : GSWindow
- WC_BUILD_INDUSTRY : GSWindow
- WC_BUILD_OBJECT : GSWindow
- WC_BUILD_SIGNAL : GSWindow
- WC_BUILD_STATION : GSWindow
- WC_BUILD_TOOLBAR : GSWindow
- WC_BUILD_TREES : GSWindow
- WC_BUILD_VEHICLE : GSWindow
- WC_BUILD_WAYPOINT : GSWindow
- WC_BUS_STATION : GSWindow
- WC_BUY_COMPANY : GSWindow
- WC_CHEATS : GSWindow
- WC_CLIENT_LIST : GSWindow
- WC_COMPANY : GSWindow
- WC_COMPANY_COLOUR : GSWindow
- WC_COMPANY_INFRASTRUCTURE : GSWindow
- WC_COMPANY_LEAGUE : GSWindow
- WC_COMPANY_MANAGER_FACE : GSWindow
- WC_COMPANY_PASSWORD_WINDOW : GSWindow
- WC_COMPANY_VALUE : GSWindow
- WC_CONFIRM_POPUP_QUERY : GSWindow
- WC_CONSOLE : GSWindow
- WC_CUSTOM_CURRENCY : GSWindow
- WC_DELIVERED_CARGO : GSWindow
- WC_DROPDOWN_MENU : GSWindow
- WC_ENDSCREEN : GSWindow
- WC_ENGINE_PREVIEW : GSWindow
- WC_ERRMSG : GSWindow
- WC_EXTRA_VIEWPORT : GSWindow
- WC_FINANCES : GSWindow
- WC_FOUND_TOWN : GSWindow
- WC_FRAMERATE_DISPLAY : GSWindow
- WC_FRAMETIME_GRAPH : GSWindow
- WC_GAME_OPTIONS : GSWindow
- WC_GENERATE_LANDSCAPE : GSWindow
- WC_GOAL_QUESTION : GSWindow
- WC_GOALS_LIST : GSWindow
- WC_GRAPH_LEGEND : GSWindow
- WC_GRF_PARAMETERS : GSWindow
- WC_HIGHSCORE : GSWindow
- WC_INCOME_GRAPH : GSWindow
- WC_INDUSTRY_CARGOES : GSWindow
- WC_INDUSTRY_DIRECTORY : GSWindow
- WC_INDUSTRY_VIEW : GSWindow
- WC_INVALID : GSWindow
- WC_LAND_INFO : GSWindow
- WC_LINKGRAPH_LEGEND : GSWindow
- WC_MAIN_TOOLBAR : GSWindow
- WC_MAIN_WINDOW : GSWindow
- WC_MESSAGE_HISTORY : GSWindow
- WC_MODAL_PROGRESS : GSWindow
- WC_MUSIC_TRACK_SELECTION : GSWindow
- WC_MUSIC_WINDOW : GSWindow
- WC_NETWORK_ASK_RELAY : GSWindow
- WC_NETWORK_ASK_SURVEY : GSWindow
- WC_NETWORK_STATUS_WINDOW : GSWindow
- WC_NETWORK_WINDOW : GSWindow
- WC_NEWGRF_INSPECT : GSWindow
- WC_NEWS_WINDOW : GSWindow
- WC_NONE : GSWindow
- WC_OPERATING_PROFIT : GSWindow
- WC_OSK : GSWindow
- WC_PAYMENT_RATES : GSWindow
- WC_PERFORMANCE_DETAIL : GSWindow
- WC_PERFORMANCE_HISTORY : GSWindow
- WC_QUERY_STRING : GSWindow
- WC_REPLACE_VEHICLE : GSWindow
- WC_ROADVEH_LIST : GSWindow
- WC_SAVE_PRESET : GSWindow
- WC_SAVELOAD : GSWindow
- WC_SCEN_BUILD_TOOLBAR : GSWindow
- WC_SCEN_LAND_GEN : GSWindow
- WC_SCREENSHOT : GSWindow
- WC_SCRIPT_DEBUG : GSWindow
- WC_SCRIPT_LIST : GSWindow
- WC_SCRIPT_SETTINGS : GSWindow
- WC_SELECT_GAME : GSWindow
- WC_SELECT_STATION : GSWindow
- WC_SEND_NETWORK_MSG : GSWindow
- WC_SET_DATE : GSWindow
- WC_SHIPS_LIST : GSWindow
- WC_SIGN_LIST : GSWindow
- WC_SMALLMAP : GSWindow
- WC_SPRITE_ALIGNER : GSWindow
- WC_STATION_LIST : GSWindow
- WC_STATION_VIEW : GSWindow
- WC_STATUS_BAR : GSWindow
- WC_STORY_BOOK : GSWindow
- WC_SUBSIDIES_LIST : GSWindow
- WC_TEXTFILE : GSWindow
- WC_TOOLTIPS : GSWindow
- WC_TOWN_AUTHORITY : GSWindow
- WC_TOWN_DIRECTORY : GSWindow
- WC_TOWN_VIEW : GSWindow
- WC_TRAINS_LIST : GSWindow
- WC_TRANSPARENCY_TOOLBAR : GSWindow
- WC_TRUCK_STATION : GSWindow
- WC_VEHICLE_DEPOT : GSWindow
- WC_VEHICLE_DETAILS : GSWindow
- WC_VEHICLE_ORDERS : GSWindow
- WC_VEHICLE_REFIT : GSWindow
- WC_VEHICLE_TIMETABLE : GSWindow
- WC_VEHICLE_VIEW : GSWindow
- WC_WAYPOINT_VIEW : GSWindow
- WIDGET_ALL : GSWindow
- WidgetType : GSWindow
- WindowClass : GSWindow
- WindowNumberEnum : GSWindow
- WN_CONFIRM_POPUP_QUERY : GSWindow
- WN_CONFIRM_POPUP_QUERY_BOOTSTRAP : GSWindow
- WN_GAME_OPTIONS_ABOUT : GSWindow
- WN_GAME_OPTIONS_AI : GSWindow
- WN_GAME_OPTIONS_GAME_OPTIONS : GSWindow
- WN_GAME_OPTIONS_GAME_SETTINGS : GSWindow
- WN_GAME_OPTIONS_GS : GSWindow
- WN_GAME_OPTIONS_NEWGRF_STATE : GSWindow
- WN_NETWORK_STATUS_WINDOW_CONTENT_DOWNLOAD : GSWindow
- WN_NETWORK_STATUS_WINDOW_JOIN : GSWindow
- WN_NETWORK_WINDOW_CONTENT_LIST : GSWindow
- WN_NETWORK_WINDOW_GAME : GSWindow
- WN_NETWORK_WINDOW_START : GSWindow
- WN_QUERY_STRING : GSWindow
- WN_QUERY_STRING_SIGN : GSWindow